# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class UnprocessableEntityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.UnprocessableEntityException

All Implemented Interfaces:
  java.io.Serializable

    public class UnprocessableEntityException

extends ServiceException

The UnprocessableEntityException is thrown by a service provider when it receives a request that it understands but where processing the request will leave resources in an inconsistent state. For example, a PATCH request that removes required fields could not be processed without making the target resource invalid.

See Also:
  Serialized Form

Constructor Summary
`UnprocessableEntityException(ErrorContent errorCode)`
`UnprocessableEntityException(ErrorContent errorCode, java.lang.Throwable cause)`
`UnprocessableEntityException(java.net.HttpURLConnection httpConn)`
`UnprocessableEntityException(java.lang.String message)`
`UnprocessableEntityException(java.lang.String message, java.lang.Throwable cause)`
`UnprocessableEntityException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnprocessableEntityException

    public UnprocessableEntityException(java.lang.String message)

Parameters:
  `message` -

### UnprocessableEntityException

    public UnprocessableEntityException(java.lang.String message,
                                        java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### UnprocessableEntityException

    public UnprocessableEntityException(java.lang.Throwable cause)

Parameters:
  `cause` -

### UnprocessableEntityException

    public UnprocessableEntityException(java.net.HttpURLConnection httpConn)
                                 throws java.io.IOException

Parameters:
  `httpConn` -
Throws:
  `java.io.IOException`

### UnprocessableEntityException

    public UnprocessableEntityException(ErrorContent errorCode)

Parameters:
  `errorCode` -

### UnprocessableEntityException

    public UnprocessableEntityException(ErrorContent errorCode,
                                        java.lang.Throwable cause)

Parameters:
  `errorCode` -
  `cause` -